Subject: [P2Prg] MANETs vs P2P

From: "HyunWook Cha" <[email-masked]>
Date: Fri, 5 Dec 2003 09:37:27 +0900

Hello, folks.

I am working on MANET protocols including on-demand routing and internet
connectivity. I read previous postings related to "MANET vs P2P". I want
to know the discussion more and to get some lessons. Unfortunately, I
have no idea about P2P except a little common sense. However, I also
agree that pure(serverless) P2P applications are necessary for MANETs to
be deployed. 

Could you tell me how p2p and MANETs are different from the point of
routing? What are important factors(assumptions, scenarios or whatever)
for the design of routing algorithms in P2P? Could you point good papers
for this issue? If I get some lessons or hints, I can also give valuable
comments.   

Regards,

HyunWook Cha

_______________________________________________
P2prg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2prg

---

From: "HyunWook Cha" <[email-masked]>
Date: Sat, 6 Dec 2003 10:08:37 +0900

Hello, Michael.

Thank you for good points. Please see my inline comments.
 
> -----Original Message-----
> From: Michael Rogers [mailto:[email-masked]] 
> Sent: Friday, December 05, 2003 8:30 PM
> To: [email-masked]
> Subject: Re: [P2Prg] MANETs vs P2P
> 
> 
> 
> Hi,
> 
> I'm also interested in routing in P2P and MANETs. One of the 
> differences I've noticed is this: in P2P, it's generally 
> assumed that any t nodes can communicate directly as long 
> as they know each other's IP addresses, whereas in MANETs the 
> topology is constrained by radio range. MANET routing 
> algorithms therefore have to work with whatever links already 
> exist, while P2P routing algorithms can establish new links 
> as required.
> 

I understand this point. Then, what is routing algorithms of P2P for?  

> Another difference is that in a MANET it's usually just as 
> cheap to broadcast a packet to all nodes in radio range as to 
> send a packet to a single node. In P2P this isn't the case, 
> so flooding is less attractive in P2P than in MANETs.
> 

You point omni-directional broadcasting through wireless interface.
Right. P2P topology is independent of actual network topology. That is,
a direct link can not be a direct one in real world. So, multicasting
including broadcasting in P2P can be performed by traditional multicast
routing or overlay multicasting. Then, again, what is routing algorithms
of P2P for?   

> Good luck with your research, and please let me know if you 
> find any interesting papers on this topic.
> 

[snip from Isabela Siqueira's reply] 

I have already worked in this subject. I have published a paper in WCNC
2003 called "Evaluation of Ad Hoc Routing Protocols under a Peer-to-Peer
Application". If you are interested in reading, here is the link:

 http://www.dcc.ufmg.br/~isabela/papers

Actually, I have no idea what common criteria of routing schemes for P2P
systems are. Please enlighten me. At this stage, I also wonder that P2P
specific routing schems can be applied to MANETs or mobile nodes. Is
there any research result for this issue? I welcome any comments.

Regards,

HyunWook Cha

> Thanks,
> Michael Rogers
> 
> --- HyunWook Cha <[email-masked]> wrote: > Hello, folks.
> > 
> > I am working on MANET protocols including on-demand routing and 
> > internet connectivity. I read previous postings related to 
> "MANET vs 
> > P2P". I want to know the discussion more and to get some lessons. 
> > Unfortunately, I have no idea about P2P except a little 
> common sense. 
> > However, I also agree that pure(serverless) P2P applications are 
> > necessary for MANETs to be deployed.
> > 
> > routing? What are important factors(assumptions, scenarios or 
> > whatever) for the design of routing algorithms in P2P? 
> Could you point 
> > good papers for this issue? If I get some lessons or hints, 
> I can also give valuable
> > comments.   
> > 
> > Regards,
> > 
> > HyunWook Cha
> > 
> > 
> ______________________________________________________________
> __________
> Download Yahoo! Messenger now for a chance to win Live At 
> Knebworth DVDs http://www.yahoo.co.uk/robbiewilliams
>

---

From: Finkenzeller Michael <[email-masked]>
Date: Mon, 15 Dec 2003 11:40:50 +0100

Maybe this helps a bit ...

"Routing in Mobile Ad Hoc and Peer-to-Peer Networks. A Comparison" 

http://citeseer.nj.nec.com/527070.html

> From: HyunWook Cha [mailto:[email-masked]] 
> Sent: Friday, December 05, 2003 1:37 AM
> To: [email-masked]
> Cc: autonet
> Subject: [P2Prg] MANETs vs P2P
> 
> 
> Hello, folks.
> 
> I am working on MANET protocols including on-demand routing 
> and internet connectivity. I read previous postings related 
> to "MANET vs P2P". I want to know the discussion more and to 
> get some lessons. Unfortunately, I have no idea about P2P 
> except a little common sense. However, I also agree that 
> pure(serverless) P2P applications are necessary for MANETs to 
> be deployed. 
> 
> Could you tell me how p2p and MANETs are different from the 
> point of routing? What are important factors(assumptions, 
> scenarios or whatever) for the design of routing algorithms 
> in P2P? Could you point good papers for this issue? If I get 
> some lessons or hints, I can also give valuable
> comments.   
> 
> Regards,
> 
> HyunWook Cha
> 
>